"""
Code to hack in the preformatted HTML pages.
"""

from BeautifulSoup import BeautifulSoup

from smallwp import wpprefs


def morphImg(soup):
	for img in soup.findAll("img"):
		imgParts = img["src"].split("/")
		try:
			imgParts = imgParts[imgParts.index("thumb"):]
			realSrc = wpprefs.getPref("mediaBase")+"/".join(imgParts)
			img["onmouseover"] = "this.src=%r"%str(realSrc)
			img["title"] = "Click to retrieve from wikipedia"
		except ValueError:  # it's not going into wp images, leave alone
			pass


def morphPage(pageTxt):
	soup = BeautifulSoup(pageTxt)
	morphImg(soup)
	return unicode(soup)


if __name__=="__main__":
	from smallwp import wpdata
	print morphPage(wpdata.makeWpData().getArticle("10. Juni")).encode("utf-8")
